package com.xhkjedu.sstudy.controller.question;

import com.xhkjedu.sstudy.service.question.ZQuestionUpdateService;
import com.xhkjedu.vo.ResultVo;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

/**
 * @Description
 * @Author WN
 * Date 2022/8/17 8:59
 **/
@RestController
@RequestMapping("zqu")
public class ZQuestionUpdateController {
    @Resource
    private ZQuestionUpdateService zQuestionUpdateService;

    @GetMapping("/up")
    public ResultVo updateQuestionType() {
       try {
            zQuestionUpdateService.saveQuestions();
            return new ResultVo(0, "处理成功");
        }catch (Exception e){
            return new ResultVo(1,"处理失败："+e.getMessage());
        }
    }
}
